Issue2804

classification
Title: Missing class com/google/common/base/CharMatcher
Type: Severity: critical
Components: Core Versions: Jython 2.7
Milestone: Jython 2.7.2
process
Status: open Resolution: accepted
Dependencies: Superseder:
Assigned To: Nosy List: jeff.allen, wfouche2
Priority: Keywords:

Created on 2019-09-26.09:50:11 by wfouche2, last changed 2019-10-07.06:10:24 by wfouche2.

Messages
msg12660 (view) Author: Werner Fouché (wfouche2) Date: 2019-09-26.09:50:11
jython-standalone.jar build from source at change https://hg.python.org/jython/rev/b180cce20e85 displays the following error at startup:

            Jython 2.7.2a1+
               Exception in thread "main" java.lang.NoClassDefFoundError: com/google/common/base/CharMatcher
                       at org.python.core.Py.fileSystemEncode(Py.java:744)
                       at org.python.core.PySystemState.initRegistry(PySystemState.java:963)
                       at org.python.core.PySystemState.doInitialize(PySystemState.java:1201)
                       at org.python.core.PySystemState.initialize(PySystemState.java:1130)
                       at org.python.core.PySystemState.initialize(PySystemState.java:1085)
                       at org.python.core.PySystemState.initialize(PySystemState.java:1080)
                       at org.python.core.PySystemState.initialize(PySystemState.java:1075)
                       at org.python.util.jython.main(jython.java:531)
               Caused by: java.lang.ClassNotFoundException: com.google.common.base.CharMatcher
                       at java.net.URLClassLoader.findClass(URLClassLoader.java:382)
                       at java.lang.ClassLoader.loadClass(ClassLoader.java:424)
                       at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:349)
                       at java.lang.ClassLoader.loadClass(ClassLoader.java:357)
                       ... 8 more
msg12682 (view) Author: Jeff Allen (jeff.allen) Date: 2019-10-05.18:12:36
Thanks for trying this out. I think you may have beaten me to the discovery of the same bug as in #2806. Is this reproduced simply on launching (looks that way), e.g.:

java -jar .\kit\jython-standalone.jar

In which case, I fixed it.
msg12698 (view) Author: Werner Fouché (wfouche2) Date: 2019-10-07.06:10:24
> java -jar .\kit\jython-standalone.jar

That's exactly how I tested Jython. Thanks for resolving the issue.
History
Date User Action Args
2019-10-07 06:10:24wfouche2setmessages: + msg12698
2019-10-05 18:12:36jeff.allensetresolution: accepted
messages: + msg12682
nosy: + jeff.allen
2019-09-26 09:50:11wfouche2create